complexType "GenericProduct"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 1 attribute, 22 elements
Defined: | globally in fpml-generic-5-3.xsd; see XML source
Includes: | definitions of 10 elements
Used: | at 2 locations

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | ((primaryAssetClass, secondaryAssetClass*, productType*, productId*) | (((productType+, productId*) | productId+), assetClass*))?, multiLeg?, ((buyerPartyReference?, buyerAccountReference?, sellerPartyReference?, sellerAccountReference?) | counterpartyReference[0..2])?, premium?, effectiveDate?, expirationDate?, terminationDate?, underlyer*, notional*, optionType?, settlementCurrency*
</...>

Content Model Elements (22):

  assetClass (defined in Product.model group), buyerAccountReference, buyerPartyReference (defined in BuyerSeller.model group), counterpartyReference, effectiveDate (defined in GenericProduct complexType), expirationDate (defined in GenericProduct complexType), multiLeg, notional (defined in GenericProduct complexType), optionType (defined in GenericProduct complexType), premium (defined in GenericProduct complexType), primaryAssetClass (defined in Product.model group), | productId (defined in Product.model group), productId (defined in Product.model group), productId (defined in Product.model group), productType (defined in Product.model group), productType (defined in Product.model group), secondaryAssetClass (defined in Product.model group), sellerAccountReference, sellerPartyReference (defined in BuyerSeller.model group), settlementCurrency (defined in GenericProduct complexType), terminationDate (defined in GenericProduct complexType), underlyer (defined in GenericProduct complexType)

All Direct / Indirect Based Elements (2):

  genericProduct, nonSchemaProduct

Known Usage Locations

- As direct type of elements (2):
  genericProduct, nonSchemaProduct

Annotation
Simple product representation providing key information about a variety of different products
Type Definition Detail

Type Derivation Tree Product (extension) GenericProduct

XML Source (w/o annotations (10); see within schema source)

<xsd:complexType name="GenericProduct"> <xsd:complexContent> <xsd:extension base="Product"> <xsd:sequence> <xsd:element minOccurs="0" name="multiLeg" type="xsd:boolean"/> <xsd:choice minOccurs="0"> <xsd:group ref="BuyerSeller.model"/> <xsd:element maxOccurs="2" minOccurs="0" name="counterpartyReference" type="PartyReference"/> </xsd:choice> <xsd:element minOccurs="0" name="premium" type="SimplePayment"/> <xsd:element minOccurs="0" name="effectiveDate" type="AdjustableDate2"/> <xsd:element minOccurs="0" name="expirationDate" type="AdjustableDate2"/> <xsd:element minOccurs="0" name="terminationDate" type="AdjustableDate2"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="underlyer" type="TradeUnderlyer2"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="notional" type="CashflowNotional"/> <!-- BAL 2012-02-17 set option type to a coding scheme for flexibility--> <xsd:element minOccurs="0" name="optionType" type="OptionType"/> <!-- <xsd:element name="optionType" type="OptionTypeEnum" minOccurs="0"> <xsd:annotation> <xsd:documentation xml:lang="en">For options, whether the option is a put or call option.</xsd:documentation> </xsd:annotation> </xsd:element> --> <!-- LL 9/14/11 commented out pending WG/SC decision on how to proceed with generic properties, reverted to original definitions from 5.2TR <xsd:element name="exerciseStyle" type="GenericExerciseStyle" minOccurs="0"> <xsd:annotation> <xsd:documentation xml:lang="en">For options, whether the option is a put or call option.</xsd:documentation> </xsd:annotation> </xsd:element> --> <xsd:element maxOccurs="unbounded" minOccurs="0" name="settlementCurrency" type="IdentifiedCurrency"/> <!-- <xsd:group ref="GenericProductProperty.model" minOccurs="0" maxOccurs="unbounded" /> --> <!-- Removed 2012-01 BAL because this duplicates information contained in SDR execution notification messages <xsd:element name="quote" type="BasicQuotation" minOccurs="0" maxOccurs="unbounded"> <xsd:annotation> <xsd:documentation xml:lang="en">Valutions (observed or calculated prices or other values) for the product.</xsd:documentation> <xsd:appinfo> <view:override view="transparency" minOccurs="1"/> </xsd:appinfo> </xsd:annotation> </xsd:element> --> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 10/22)
counterpartyReference

  Type: | PartyReference, empty content

  XML Source (see within schema source)

  <xsd:element maxOccurs="2" minOccurs="0" name="counterpartyReference" type="PartyReference"/>

effectiveDate

  Type: | AdjustableDate2, complex content

  The earliest of all the effective dates of all constituent streams.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="effectiveDate" type="AdjustableDate2"/>

expirationDate

  Type: | AdjustableDate2, complex content

  For options, the last exercise date of the option.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="expirationDate" type="AdjustableDate2"/>

multiLeg

  Type: | xsd:boolean, predefined, simple content

  Indicates whether this transaction has multiple components, not all of which may be reported.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="multiLeg" type="xsd:boolean"/>

notional

  Type: | CashflowNotional, complex content

  The notional or notionals in effect on the last day of the last calculation period in each stream.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="notional" type="CashflowNotional"/>

optionType

  Type: | OptionType, simple content

  For options, what type of option it is (e.g. butterfly).
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="optionType" type="OptionType"/>

premium

  Type: | SimplePayment, complex content

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="premium" type="SimplePayment"/>

settlementCurrency

  Type: | IdentifiedCurrency, simple content

  The currency or currencies in which the product can settle.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="settlementCurrency" type="IdentifiedCurrency"/>

terminationDate

  Type: | AdjustableDate2, complex content

  The latest of all of the termination (accrual end) dates of the constituent or underlying streams.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="terminationDate" type="AdjustableDate2"/>

underlyer

  Type: | TradeUnderlyer2, complex content

  The set of underlyers to the trade that can be used in computing the trade's cashflows. If this information is needed to identify the trade, all of the trade's underlyers should be specified, whether or not they figure into the cashflow calculation. Otherwise, only those underlyers used to compute this particular cashflow need be supplied.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="underlyer" type="TradeUnderlyer2"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.